%global pypi_name django-pylibmc

Name:           python-%{pypi_name}
Version:        0.6.1
Release:        3%{?dist}
Summary:        Django module to use pylibmc for cache backend

License:        BSD
URL:            https://github.com/django-pylibmc/django-pylibmc
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
        
BuildArch:      noarch

%description
Django-pylibmc package provides a memcached cache backend for
Django using pylibmc. You want to use pylibmc because it's fast.


%package -n python2-%{pypi_name}
Summary:        Django module to use pylibmc - Python 2 version

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-pylibmc
BuildRequires:  python2-django

Requires:       python2-django

Provides:       %{pypi_name} = %{version}-%{release}
Obsoletes:      %{pypi_name} < 0.2.3-1.20120609git28874f

%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
Django-pylibmc package provides a memcached cache backend for 
Django using pylibmc. You want to use pylibmc because it's fast.
This package provides Python 2 build of %{pypi_name}.


%package -n python3-%{pypi_name}
Summary:        Django module to use pylibmc - Python 3 version

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pylibmc
BuildRequires:  python3-django

Requires:       python3-django

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Django-pylibmc package provides a memcached cache backend for
Django using pylibmc. You want to use pylibmc because it's fast.
This package provides Python 3 build of %{pypi_name}.


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install


%files -n python2-%{pypi_name}
%license LICENSE
%doc README.rst
%{python2_sitelib}/*.egg-info/
%{python2_sitelib}/django_pylibmc/

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/*.egg-info/
%{python3_sitelib}/django_pylibmc/


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.6.1-2
- Rebuild for Python 3.6

* Sun Aug 7 2016 Jan Beran <jberan@redhat.com> - 0.6.1-1
- update to version 0.6.1
- url and source update
- modernized specfile with Python 3 packaging

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-9.20120609git28874f
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-8.20120609git28874f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-7.20120609git28874f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-6.20120609git28874f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-5.20120609git28874f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-4.20120609git28874f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-3.20120609git28874f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 02 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.2.3-2.20120609git28874f
- Resolved summary and require issue for python-django

* Sat Jun 09 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.2.3-1.20120609git28874f
- Resolved file location issue

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-3.20110806gitb56e74
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Aug 11 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.2.1-2.20110806gitb56e74
- Resolved file location issue

* Fri Aug 05 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.2.1-1.20110806gitb56e74
- Initial RPM release

